# XmlWorkerUserstats
Date: 2011-08-28

## de.sockenklaus.XmlStats.XmlWorkers
Class XmlWorkerUserstats

    java.lang.Object
      de.sockenklaus.XmlStats.XmlWorkers.XmlWorker
          de.sockenklaus.XmlStats.XmlWorkers.XmlWorkerUserstats

All Implemented Interfaces:
  com.sun.net.httpserver.HttpHandler

    public class XmlWorkerUserstats

extends XmlWorker

The Class XmlWorkerUserstats.

Constructor Summary
`XmlWorkerUserstats()` Instantiates a new xml worker userstats.

Method Summary
`java.lang.String` `getXML(java.util.Map<java.lang.String,java.util.List<java.lang.String>> parameters)` Gets the xML.

Methods inherited from class de.sockenklaus.XmlStats.XmlWorkers.XmlWorker
`handle, parseParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlWorkerUserstats

    public XmlWorkerUserstats()

  Instantiates a new xml worker userstats.

Method Detail

### getXML

    public java.lang.String getXML(java.util.Map<java.lang.String,java.util.List<java.lang.String>> parameters)

  Description copied from class: `XmlWorker`
  Gets the xML.

  Parameters:
    `parameters` - the parameters
  Returns:
    the xML